Catch-ups
List custom catch-ups
Lists every custom catch-up (catch_up_class CUSTOM_CATCH_UP) in the company, for all members. Requires a company admin Bearer token (admin user, company API token, or partner token) with the catchup view permission. Not paginated.
GET
/
api
/
company
/
custom_catch_ups
List custom catch-ups
curl --request GET \
--url https://api.fluid.app/api/company/custom_catch_ups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/custom_catch_ups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/custom_catch_ups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/custom_catch_ups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/custom_catch_ups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/custom_catch_ups")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/custom_catch_ups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"catch_ups": [
{
"id": 30977,
"catch_up_class": "CUSTOM_CATCH_UP",
"updated_at": "2026-09-15T13:20:44.518Z",
"created_at": "2026-09-15T13:20:44.518Z",
"company_id": 1405,
"user_company_id": 90417,
"suggestion_title": "Check in with Jan Levinson",
"suggestion_description": "Jan's quarterly paper order is due next week. Confirm quantities before Friday.",
"catch_up_actions": [
{
"id": 48290,
"type": "ToDoCatchUpAction",
"status": "pending",
"action_class": null,
"action_data": {
"meta": {
"klass": "CUSTOM_CATCH_UP",
"language": "English",
"action_prompt": "Call Jan to confirm her quarterly paper order"
}
},
"catch_up_id": 30977,
"company_id": 1405,
"contact_id": 77134,
"created_at": "2026-09-15T13:20:44.531Z",
"updated_at": "2026-09-15T13:20:44.531Z"
}
]
}
],
"meta": {
"request_id": "5f0c8e2a-7b41-4d93-a6e2-1c9d3f84b270",
"timestamp": "2026-09-14T15:04:27Z"
}
}{
"message": "<string>"
}⌘I
List custom catch-ups
curl --request GET \
--url https://api.fluid.app/api/company/custom_catch_ups \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.fluid.app/api/company/custom_catch_ups"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.fluid.app/api/company/custom_catch_ups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.fluid.app/api/company/custom_catch_ups",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.fluid.app/api/company/custom_catch_ups"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.fluid.app/api/company/custom_catch_ups")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.fluid.app/api/company/custom_catch_ups")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"catch_ups": [
{
"id": 30977,
"catch_up_class": "CUSTOM_CATCH_UP",
"updated_at": "2026-09-15T13:20:44.518Z",
"created_at": "2026-09-15T13:20:44.518Z",
"company_id": 1405,
"user_company_id": 90417,
"suggestion_title": "Check in with Jan Levinson",
"suggestion_description": "Jan's quarterly paper order is due next week. Confirm quantities before Friday.",
"catch_up_actions": [
{
"id": 48290,
"type": "ToDoCatchUpAction",
"status": "pending",
"action_class": null,
"action_data": {
"meta": {
"klass": "CUSTOM_CATCH_UP",
"language": "English",
"action_prompt": "Call Jan to confirm her quarterly paper order"
}
},
"catch_up_id": 30977,
"company_id": 1405,
"contact_id": 77134,
"created_at": "2026-09-15T13:20:44.531Z",
"updated_at": "2026-09-15T13:20:44.531Z"
}
]
}
],
"meta": {
"request_id": "5f0c8e2a-7b41-4d93-a6e2-1c9d3f84b270",
"timestamp": "2026-09-14T15:04:27Z"
}
}{
"message": "<string>"
}